- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Font File Reference

`#include <string>`
`#include <osg/Vec2>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/StateSet>`
`#include <osg/buffered_value>`
`#include <osg/TexEnv>`
`#include <osgText/Export>`

Include dependency graph for Font:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgText
## Classes
class | osgText::Font
| Pure virtual base class for fonts. More...
class | osgText::Font::FontImplementation
class | osgText::Font::GlyphTexture
class | osgText::Font::Glyph
## Defines
#define | OSGTEXT_FONT 1
## Enumerations
enum | osgText::KerningType { osgText::KERNING_DEFAULT, osgText::KERNING_UNFITTED, osgText::KERNING_NONE }
## Functions
OSGTEXT_EXPORT Font * | osgText::readFontFile (const std::string &filename)
| read a font from specified file.

## Define Documentation

#define OSGTEXT_FONT 1